## org.exist.soap
Class SessionManager

    java.lang.Object
      org.exist.soap.SessionManager

public class SessionManager
extends java.lang.Object

Constructor Summary
`SessionManager()`

Method Summary
`java.lang.String` `createSession(User user)`
`void` `disconnect(java.lang.String id)`
`static SessionManager` `getInstance()`
`Session` `getSession(java.lang.String id)`
`static long` `getTimeout()`
`static void` `setTimeout(long timeout)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SessionManager

    public SessionManager()

Method Detail

### getInstance

    public static final SessionManager getInstance()

### getTimeout

    public static long getTimeout()

### setTimeout

    public static void setTimeout(long timeout)

### createSession

    public java.lang.String createSession(User user)

### getSession

    public Session getSession(java.lang.String id)

### disconnect

    public void disconnect(java.lang.String id)

Copyright (C) Wolfgang Meier. All rights reserved.